import { inject, resource } from '@angular/core';
import { RemissionProductGroupService } from '@isa/remission/data-access';

export const createRemissionProductGroupResource = () => {
  const remissionProductGroupService = inject(RemissionProductGroupService);
  return resource({
    loader: ({ abortSignal }) =>
      remissionProductGroupService.fetchProductGroups(abortSignal),
  });
};
